<?
header("Content-Type: application/xhtml+xml; charset=utf-8");
use_helper('UrlFunctions');

$o_ObjectBean = new ConvTextoFN();

//$o_ObjectBean = new ClienteBean();
  
$tamanioPag = 22;
//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO 
 
//Todos los Mercados de Todas las sucursales

/*if($idpublicidad   	!=""){ $o_ObjectBean->setIdpublicidad($idpublicidad); }*/
if($cboEstado   	!=""){ $o_ObjectBean->setEstado($cboEstado); }
if($Titulo      		!=""){ $o_ObjectBean->setTitulo($Titulo); }


 $o_ObjectBean->page = $page;
 $o_ObjectBean->tamPag = $tamanioPag;
 $o_ObjectBean->sortCampos = $sortCampos;
 $o_ObjectBean->sortType   = $sortType;

$a_ObjectBean = $o_ObjectBean->select();
 

$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
$o_navigation->setTotalRegistros($o_ObjectBean->selectNumRows());
$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);

if(!$page) $page = 1;



ViewResponse::getInstance()->setMethodAjax();

?>
<script>
functionSort = function(campo, type){
  var typeSort      = "";
  
  var elmSortCampos = $('#sortCampos');
  var elmSortType   = $('#sortType');


 
  var a_sortCampos  = (elmSortCampos.attr('value')!="")?(elmSortCampos.attr('value')).split(";"):[];
  var a_sortType    = (elmSortType.attr('value')!="")?elmSortType.attr('value').split(";"):[];
 
  var pos           = jQuery.inArray(campo,a_sortCampos);
 
  switch (type){
     case 'A' :
       a_sortType[pos]    = "2";
     break;
     case 'D' :
       //if(pos>0){
       	a_sortCampos = sliceByPos(a_sortCampos, pos);
       	a_sortType   = sliceByPos(a_sortType, pos);
       //}else{
       	//a_sortCampos[pos] = campo;
       	//a_sortType[pos]   = "1";
       //}
     break;
     default :
       a_sortCampos[a_sortCampos.length] = campo;
       a_sortType[a_sortType.length]     = "1";
     break;
  }
 
  var strSortCampos = a_sortCampos.join(";");
  var strSortType   = a_sortType.join(";");
  
  concatValueStr('sortCampos='+strSortCampos+'&sortType='+strSortType+"&page=<?=$page?>");
}
</script>

<?php

$strConcat = "sortCampos=".$valuesSort['sortCampos']."&sortType=".$valuesSort['sortType'];

function showImgOrder($valuesSort, $campo, $nameCampos){
  $a_valCampos = explode(";", $valuesSort['sortCampos']);
  $a_valtype   = explode(";", $valuesSort['sortType']);
  $sImg = "
            <a href=\"JavaScript:functionSort('".$campo."', '');\">".$nameCampos."</a>
            <img src=\"/images/common/buttons/arrow.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
          ";
  foreach ($a_valCampos as $key => $val){
    if($val == $campo){
      switch ($a_valtype[$key]){
        case 1:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'A');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_up.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
        case 2:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'D');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_down.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
      }
    }
  };
  return $sImg;
}
?>

<input type="hidden" id="sortCampos" size="100" value="<?=$valuesSort['sortCampos']?>">
<input type="hidden" id="sortType" size="100" value="<?=$valuesSort['sortType']?>">
      <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td height="17" align="right" class="pager">
            <div id="contenedor">
              <? $o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
            </div>
          </td>
        </tr>
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr height="35">
               <th width="3%" >Nro</th>
                <th width="20%" align="left"><?=showImgOrder($valuesSort, 'Titulo','Titulo')?></th>
                
				<th width="7%" align="left"><?=showImgOrder($valuesSort, 'Estado','Estado')?></th>
				
				<!-- <th width="20%" >Foto&nbsp;&nbsp;&nbsp;</th> -->
                <th width="10%" id="col01" onMouseOver="sort_col(this);" >Usr.Crea.</th>
                <th width="10%" id="col01" onMouseOver="sort_col(this);" >Fec.Crea.</th>
              
                <th width="20%">Opción</th>
              </tr>
              <? if(count($a_ObjectBean)>0){ ?>
              <? foreach ($a_ObjectBean as $iKey => $o_objBean){ ?>
              <tr onClick="TR_click(this,<?php echo ($iKey%2);?>);" class="<?php if($iKey%2) echo "aspecto2";?>">
               <td class="chk"><?=($tamanioPag)*($page-1)+($iKey+1)?></td>
                <td align="left"><?=$o_objBean->getTitulo()?></td>
                
                <td align="left"><?if($o_objBean->getEstado()=='A'){ echo "Publicado"; } else {echo "No Publicado";} ?></td>
				<td align="center"><?=strtoupper($o_objBean->getUsuarioCreacion())?></td>
                <td align="center"><?=$o_objBean->getFechaCreacion()?></td>
                <td align="center">
                   <input type="button" class="button" value="Editar" onclick="location.href='<?php echo buildUrl('texto/edit/id/'.$o_objBean->getIdTexto(),'block=001')?>'" title="Editar"/>
                   <!--<input type="button" class="button" value="Eliminar" onclick="deleteRegistro('<?=$o_objBean->getIdTexto()?>','<?=$o_objBean->getIdTexto()?>')">&nbsp; -->
                   
                </td>
              </tr>
              <? } ?>
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
        <tr>
          <td>Total Registros: <?=count($a_ObjectBean)?></td>
        </tr>
      </table>